> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Charge: RealPage Partner Exchange

POST https://api.propexo.com/v1/resident-charges/realpage_rpx/
Content-Type: application/json

Create Resident Charge: RealPage Partner Exchange| Method           | Interface    |
| ---------------- | ------------ |
| PostSingleCharge | Transactions |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/real-page-app-partner/billing-and-payments/create-resident-charge-real-page-partner-exchange

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_resident-charges_realpage_rpx__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `charge_code_id` (string, required) — The Propexo charge code to associate with this new charge
- `transaction_date` (V1ResidentChargesRealpageRpxPostInputTransactionDate, required) — The transaction date of the resident charge. The timestamp will be stripped off and only the date will be used
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `description` (string, required) — Description of the resident charge
- `transaction_batch_id` (string, required) — A unique value provided by Realpage to associate a charge with a batch. This can be an alphanumeric string.
- `reference_number` (string, optional) — The reference number for the resident charge

## Response

### 200

Successful response

- `meta` (V1ResidentChargesRealpageRpxPostOutputMeta, required)
- `result` (V1ResidentChargesRealpageRpxPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentChargesRealpageRpxPostInputTransactionDate

The transaction date of the resident charge. The timestamp will be stripped off and only the date will be used

### V1ResidentChargesRealpageRpxPostOutputMeta

- `job_id` (string, required)

### V1ResidentChargesRealpageRpxPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `charge_code_id` (string, required) — The Propexo charge code to associate with this new charge
- `transaction_date` (V1ResidentChargesRealpageRpxPostOutputResultTransactionDate, required, nullable)
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `description` (string, required) — Description of the resident charge
- `reference_number` (string, required, nullable) — The reference number for the resident charge
- `transaction_batch_id` (string, required) — A unique value provided by Realpage to associate a charge with a batch. This can be an alphanumeric string.

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentChargesRealpageRpxPostOutputResultTransactionDate

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-12345abcde67890fghij",
  "resident_id": "res-98765zyxwv43210utsrq",
  "charge_code_id": "charge-00123",
  "transaction_date": "2024-01-15T09:30:00Z",
  "amount_in_cents": 12500,
  "description": "January Rent Charge",
  "transaction_batch_id": "batch-20240115A"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-abcdef123456"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-12345abcde67890fghij",
    "resident_id": "res-98765zyxwv43210utsrq",
    "charge_code_id": "charge-00123",
    "transaction_date": "2024-01-15T09:30:00Z",
    "amount_in_cents": 12500,
    "description": "January Rent Charge",
    "reference_number": "ref-20240115-0001",
    "transaction_batch_id": "batch-20240115A"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-charges/realpage_rpx/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-12345abcde67890fghij",
    "resident_id": "res-98765zyxwv43210utsrq",
    "charge_code_id": "charge-00123",
    "transaction_date": "2024-01-15T09:30:00Z",
    "amount_in_cents": 12500,
    "description": "January Rent Charge",
    "transaction_batch_id": "batch-20240115A"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-charges/realpage_rpx/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","property_id":"prop-12345abcde67890fghij","resident_id":"res-98765zyxwv43210utsrq","charge_code_id":"charge-00123","transaction_date":"2024-01-15T09:30:00Z","amount_in_cents":12500,"description":"January Rent Charge","transaction_batch_id":"batch-20240115A"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-charges/realpage_rpx/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-12345abcde67890fghij\",\n  \"resident_id\": \"res-98765zyxwv43210utsrq\",\n  \"charge_code_id\": \"charge-00123\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 12500,\n  \"description\": \"January Rent Charge\",\n  \"transaction_batch_id\": \"batch-20240115A\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-charges/realpage_rpx/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-12345abcde67890fghij\",\n  \"resident_id\": \"res-98765zyxwv43210utsrq\",\n  \"charge_code_id\": \"charge-00123\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 12500,\n  \"description\": \"January Rent Charge\",\n  \"transaction_batch_id\": \"batch-20240115A\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/resident-charges/realpage_rpx/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-12345abcde67890fghij\",\n  \"resident_id\": \"res-98765zyxwv43210utsrq\",\n  \"charge_code_id\": \"charge-00123\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 12500,\n  \"description\": \"January Rent Charge\",\n  \"transaction_batch_id\": \"batch-20240115A\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/resident-charges/realpage_rpx/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-12345abcde67890fghij",
  "resident_id": "res-98765zyxwv43210utsrq",
  "charge_code_id": "charge-00123",
  "transaction_date": "2024-01-15T09:30:00Z",
  "amount_in_cents": 12500,
  "description": "January Rent Charge",
  "transaction_batch_id": "batch-20240115A"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-charges/realpage_rpx/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-12345abcde67890fghij\",\n  \"resident_id\": \"res-98765zyxwv43210utsrq\",\n  \"charge_code_id\": \"charge-00123\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 12500,\n  \"description\": \"January Rent Charge\",\n  \"transaction_batch_id\": \"batch-20240115A\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-12345abcde67890fghij",
  "resident_id": "res-98765zyxwv43210utsrq",
  "charge_code_id": "charge-00123",
  "transaction_date": "2024-01-15T09:30:00Z",
  "amount_in_cents": 12500,
  "description": "January Rent Charge",
  "transaction_batch_id": "batch-20240115A"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-charges/realpage_rpx/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```